package de.ozgcloud.eingang.enterprise.entry;

import de.ozgcloud.eingang.enterprise.entry.EntryData.PostfachAddress;
import de.ozgcloud.eingang.enterprise.entry.EntryData.Servicekonto;

public class ServicekontoTestFactory {

	private static final String TYPE = "OSI";
	private static final String IDENTIFIER = "76f1ae54-1cf1-4ae1-c0b4-08d950d6cfc0";
	private static final String POSTFACH_TYPE = "privat";

	public static Servicekonto create() {
		return createBuilder().build();
	}

	public static Servicekonto.ServicekontoBuilder createBuilder() {
		return Servicekonto.builder()
				.type(TYPE)
				.postfachAddress(PostfachAddress.builder()
						.identifier(IDENTIFIER)
						.type(POSTFACH_TYPE)
						.build());

	}
}
